#include "headers/WebView.h"
#include <QWebPage>
#include <QWebFrame>
#include <QAction>

WebView::WebView(QWidget* para):QWebView(para)
{

}

void WebView::keyReleaseEvent ( QKeyEvent * e ){

    if(e->key()==Qt::Key_M && (e->modifiers()==Qt::ControlModifier||e->modifiers()==Qt::MetaModifier)){
        //emit(askToHideSideWidget());
        return;
    }
    else if(e->key()==Qt::Key_Comma && (e->modifiers()==Qt::ControlModifier||e->modifiers()==Qt::MetaModifier)){
        emit(askToHideSideWidget());
        return;
    }else if(e->key()==Qt::Key_Slash && (e->modifiers()==Qt::ControlModifier||e->modifiers()==Qt::MetaModifier)){
        emit(askToHideSideWidget());
        return;
    }else if(e->key()==Qt::Key_Equal && (e->modifiers()==Qt::ControlModifier||e->modifiers()==Qt::MetaModifier)){
        emit(askToHideSideWidget());
        return;
    }
    QWebView::keyReleaseEvent(e);
}

void WebView::contextMenuEvent ( QContextMenuEvent * ev ){
    //
    if(this->selectedText().contains("@") && this->selectedText().contains("{") && this->selectedText().contains("}")){
        QString bibitem = selectedText();
        //emit(askToAddBibItem(bibitem));
        QAction* addBib = new QAction("Add to Bib database...",this);
        addBib->setData(bibitem);
    }

    QWebView::contextMenuEvent(ev);
}
